<?php
interface ZibanmaCacheInterface{
	/**
	 * 设置缓存
	 * @param $id
	 * @param $value
	 * @param $limit
	 */
	public function put($id, $value, $limit);
	
	/**
	 * 获取缓存
	 * @param String $id
	 */
	public function get($id);
	
	/**
	 * 判断缓存是否存在
	 * @param String $id
	 * @return boolean
	 */
	public function has($id);
	
	/**
	 * 删除缓存
	 * @param String $id
	 * @return boolean
	 */
	public function forgat($id);
	
	/**
	 * 删除缓存
	 * @return boolean
	 */
	public function forgat_all();
}
?>